Pages

A storefront as a JSON feed

GET
/v1/storefronts/{id}/feed.json

Scope: feeds:read

Authorization

apiKey
headerAuthorizationBearer <ik_live_…>

An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.

Path Parameters

id*string

Response Body

OK

application/json
  1. response
[key: string]?any
Example Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/storefronts/string/feed.json'
Example Response
{  "version": 1,  "state": "draft",  "published": true,  "page": {    "slug": "e2e-home",    "name": "E2E Home",    "region": "US",    "pageType": "home",    "updatedAt": "2026-10-22T11:04:05.539Z"  },  "shelves": [    {      "id": "da91fa9b-c2ff-4187-a013-72ed6b68b431",      "name": "E2E Staff Picks",      "source": "manual",      "sponsorId": null,      "audienceFit": null,      "orientation": "landscape",      "synthetic": false,      "promoted": null,      "items": [        {          "id": "1af5e352-88d3-4055-a838-66c11e335342",          "title": "The Matrix",          "year": 1999,          "rating": "R",          "poster": "https://image.tmdb.org/t/p/w500/dXNAPwY7VrqMAo51EKhhCJfaGb5.jpg",          "backdrop": "https://image.tmdb.org/t/p/w1280/tlm8UkiQsitc8rSuIAscQDCnP8d.jpg",          "description": "Set in the 22nd century, The Matrix tells the story of a computer hacker who joins a group of underground insurgents fighting the vast and powerful computers…",          "runtimeMin": 136,          "genres": [            "Action",            "Science Fiction"          ],          "promo": null        },        {          "id": "09cb34c3-b384-4ce4-9f84-58cf23610eb6",          "title": "Inception",          "year": 2010,          "rating": "PG-13",          "poster": "https://image.tmdb.org/t/p/w500/xlaY2zyzMfkhk0HSC5VUwzoZPU1.jpg",          "backdrop": "https://image.tmdb.org/t/p/w1280/8ZTVqvKDQ8emSGUEMjsS4yHAwrp.jpg",          "description": "Cobb, a skilled thief who commits corporate espionage by infiltrating the subconscious of his targets is offered a chance to regain his old life as payment f…",          "runtimeMin": 148,          "genres": [            "Action",            "Crime"          ],          "promo": null        }      ]    },    {      "id": "4d141529-c9eb-43ba-a564-b36e117adf61",      "name": "E2E New & Notable",      "source": "manual",      "sponsorId": null,      "audienceFit": null,      "orientation": "landscape",      "synthetic": false,      "promoted": null,      "items": [        {          "id": "7681920f-7855-45c7-babe-adbc0808eaa3",          "title": "Everything Everywhere All at Once",          "year": 2022,          "rating": "R",          "poster": "https://image.tmdb.org/t/p/w500/u68AjlvlutfEIcpmbYpKcdi09ut.jpg",          "backdrop": "https://image.tmdb.org/t/p/w1280/fIwiFha3WPu5nHkBeMQ4GzEk0Hv.jpg",          "description": "An aging Chinese immigrant is swept up in an insane adventure, where she alone can save what's important to her by connecting with the lives she could have l…",          "runtimeMin": 140,          "genres": [            "Action",            "Adventure"          ],          "promo": null        },        {          "id": "b792af82-7ab9-45c3-aa38-05a5b8d55462",          "title": "Hunt for the Wilderpeople",          "year": 2016,          "rating": "PG-13",          "poster": "https://image.tmdb.org/t/p/w500/hkmz9rxgcweizXNElozGeKwmAJE.jpg",          "backdrop": "https://image.tmdb.org/t/p/w1280/ixpUtvrZNwk6LBObXaNH8fh4FYf.jpg",          "description": "Ricky is a defiant young city kid who finds himself on the run with his cantankerous foster uncle in the wild New Zealand bush. A national manhunt ensues, an…",          "runtimeMin": 101,          "genres": [            "Adventure",            "Comedy"          ],          "promo": null        }      ]    }  ],  "banner": [    {      "id": "35e8f560-2354-4076-ae34-ed6f6086274b",      "title": "Sicario",      "year": 2015,      "rating": "R",      "poster": "https://image.tmdb.org/t/p/w500/lz8vNyXeidqqOdJW9ZjnDAMb5Vr.jpg",      "backdrop": "https://image.tmdb.org/t/p/w1280/fKPgObonYgPgCdu88yjV7Hpn7Dp.jpg",      "description": "An idealistic FBI agent is enlisted by a government task force to aid in the escalating war against drugs at the border area between the U.S. and Mexico.",      "runtimeMin": 122,      "genres": [        "Thriller",        "Action"      ]    },    {      "id": "56cd7317-af0f-43cb-ad62-5a784bf0e34b",      "title": "Parasite",      "year": 2019,      "rating": "R",      "poster": "https://image.tmdb.org/t/p/w500/7IiTTgloJzvGI1TAYymCfbfl3vT.jpg",      "backdrop": "https://image.tmdb.org/t/p/w1280/TU9NIjwzjoKPwQHoHshkFcQUCG.jpg",      "description": "All unemployed, Ki-taek's family takes peculiar interest in the wealthy and glamorous Parks for their livelihood until they get entangled in an unexpected in…",      "runtimeMin": 133,      "genres": [        "Drama",        "Thriller"      ]    }  ]}